/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODNCMP                                                 */
/* Tabela : PRODNCMP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRODNCMP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRODNCMP
GO

CREATE TRIGGER DTULTATU_PRODNCMP
ON PRODNCMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODNCMP', CDFILIAL, 'CDFILIAL=' + CDFILIAL + ';'+
                                             'CDPRODUTO='+ CDPRODUTO+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODNCMP
      SET DTULTATUPRNC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRODNCMP.CDPRODUTO,0) = ISNULL(INSERTED.CDPRODUTO,0)) AND
            (ISNULL(PRODNCMP.CDFILIAL,0)  = ISNULL(INSERTED.CDFILIAL,0));
   END;
END;
GO

